
DataONE API - Task #7189

Story # 7188 (Closed): Review the token approach protocol and implementation

Review the authentication protocol

2015-06-16 11:44 - Dave Vieglais

Status: Closed Start date: 2015-06-16

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Engage a third party such as CTSC to provide a review of the authentication approaches utilized by DataONE infrastructure.

History

#1 - 2015-09-11 21:10 - Ben Leinfelder

Emailed Jim Basney to see if he had any words of caution about our token proposal.

#2 - 2016-01-04 19:29 - Ben Leinfelder

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Jim thought the token approach was good - in fact CILogon is working on a similar feature and even pointed me to some of their nascent code for it -

but only cautioned that we need to be careful with the token strings since they do allow complete access as the user they are issued to. Since we

expire them after 18 hours, the risk is similar to certificates.
